Name:           btawm
Version:        0.3.0
Release:        1%{?dist}
Summary:        A small window manager

Group:          User Interface/Desktops
License:        BSD
#URL:            
Source0:        btawm-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:      xterm

%description
A small window manager. Mostly keyboard driven, so you don't need to leave
the keyboard for the mouse to position and generally manage your windows.
You have the possibility to extend a window outside of the screen.

%prep
%setup -q -n btawm


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/xsessions/
install -m 755 -t ${RPM_BUILD_ROOT}/usr/share/xsessions/ btawm.desktop
install -m 755 -d ${RPM_BUILD_ROOT}/etc/
install -m 755 -t ${RPM_BUILD_ROOT}/etc btawmrc

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog Changes.kja3 NEWS README
/usr/bin/btawm
/usr/share/xsessions/btawm.desktop
/etc/btawmrc

%changelog
* Sun Sep 30 2012 Bussi Andrea <bta@di.unipmn.it> - 0.3.0-1
- rebuilt for version 0.3.0

